// Tell the XPInstall system we're about to install an extension. This creates a
    // folder under the applicable extensions folder (bin or profile - all user/fe
    // generated install actions are profile, command line extension installation
    // can be profile or bin dir)
    initExtensionInstall("MSP");
    
    // Used to generate log entries in extensions/<myExtension>/install.log
    var err = initInstall("MSP for Firefox 1.0", "MSP", "0.08");
    ...
    
    // getTargetFolder(aFlag, subfile) returns:
    // aFlag      returns
    // 0          [<profile>|bin]/extensions/<myExtension>/
    //              root extension directory
    // CHROME     [<profile>|bin]/extensions/<myExtension>/chrome/
    //              extension's chrome packages, themes, locale packages
    // COMPONENTS [<profile>|bin]/extensions/<myExtension>/components/
    //              extension's components
    // DEFAULS    [<profile>|bin]/extensions/<myExtension>/defaults/
    //              extension's generic defaults
    // PREFS      [<profile>|bin]/extensions/<myExtension>/defaults/prefs/
    //              extension's default preferences files (all files in this directory are read)
    // This function returns the profile or bin version of the extensions folder depending
    // on how the install operation was invoked (see above). 
    // This function is meant to provide a shortcut to allow extension authors to install
    // into the right place. 
    if (verifyDiskSpace(getTargetFolder(0), spaceRequired)) {
      addFile("MSP Chrome",       // Registry Name
              "chrome/msp.jar",           // Source File (in XPI)
              getFolder(getTargetFolder(CHROME)), // Target Folder 
              "");                                // Target subdir
      addFile("MSP Prefs",      // Registry Name
              "defaults/preferences/msp.js", // Source File (in JAR)
              getFolder(getTargetFolder(PREFS)), // Target Folder 
              "");                               // Target subdir
	  
      
      var file = getTargetFolder(CHROME, "msp.jar");     
      registerChrome(SKIN | DELAYED_CHROME, file, "skin/classic/");
      
      // Tidy up 
      finalizeExtensionInstall();
    }

